org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Interface CheckpointPagesWriter.CheckpointPageWriter

Enclosing class:
  CheckpointPagesWriter

    public static interface CheckpointPagesWriter.CheckpointPageWriter

Interface which allows to write one page to page store.

### Method Summary

All Methods Instance Methods Abstract Methods
`PageStore` `write(PageMemoryEx pageMemEx, FullPageId fullPageId, ByteBuffer buf, int tag)`

### Method Detail

#### write

    PageStore write(PageMemoryEx pageMemEx,
                    FullPageId fullPageId,
                    ByteBuffer buf,
                    int tag)
             throws IgniteCheckedException

Parameters:
  `pageMemEx` - Page memory from which page should be written.
  `fullPageId` - Full page id.
  `buf` - Byte buffer.
  `tag` - Page tag.
Returns:
  `PageStore` which was used to write.
Throws:
  `IgniteCheckedException` - if fail.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021